#include "player.h"

void player::set_color(SDL_Color co)
{
  color = co;
}

void player::disconnect()
{
  alive =false;
  conns = NULL;
}

void player::win()
{
  wins++;
}

void player::put_character(int ch)
{
  character=ch;
}

int player::get_character() const
{
  return character;
}

player::player  (const player &p)
{
  conns = p.conns;
  name = p.name;
  alive = p.alive;
  color = p.color;
  ready_to_change = p.ready_to_change;
  wins = p.wins;
  kredits = p.kredits;
}

player::player(connects *conn, const string& _name)
{
  conns = conn;
  name = _name;
  alive = true;
  wins = 0;
  kredits = 0;
}

player::player()
{
  conns = NULL;
  name = string("");
  alive = false;
  wins = 0;
  kredits = 0;
}

const string & player::get_name() const
{
  return name; 
}

SDL_Color player::get_color() const 
{
  return color; 
}

connects * player::get_connect()
{
  return conns; 
}

bool player::is_connected() const
{
  return conns != NULL; 
}

bool player::is_alive() const
{ 
  return alive; 
}
void player::kill()
{ 
  alive = false; 
}
void player::rebirth()
{ 
  alive = true; 
}

int player::get_wins() const
{ 
  return wins; 
}

void player::set_kredits(int x)
{
  kredits = x;
}

int player::get_kredits() const
{ 
  return kredits; 
}
